Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QByteArray Class Reference

The QByteArray class provides an array of bytes. More...

`#include <qcstring.h>`

Inherits QMemArray<char>.

Inherited by QBitArray and QCString.

List of all member functions.

## Public Members

- QByteArray ()
- QByteArray ( int size )

## Detailed Description

The QByteArray class provides an array of bytes.

The QByteArray class provides an explicitly shared array of bytes. It is useful for manipulating memory areas with custom data. QByteArray is implemented as QMemArray<char>. See the QMemArray documentation for further information.

See also Collection Classes and Non-GUI Classes.

## Member Function Documentation

### QByteArray::QByteArray ()

Constructs an empty QByteArray.

### QByteArray::QByteArray ( int size )

Constructs a QByteArray of size size.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.